import ajax from "@/utils/request.js";

export function getMatch(data) {
  return ajax({
    url: "race/list",
    method: "get",
    data,
  });
}

export function getChat(data) {
  return ajax({
    url: "chat/scroll",
    method: "get",
    noLoad: true,
    data,
  });
}

export function setChat(data) {
  return ajax({
    url: "chat/store",
    method: "get",
    data,
  });
}

export function voteList(data) {
  return ajax({
    url: "list",
    method: "get",
    data,
  });
}

export function Detail(data) {
  return ajax({
    url: "mine",
    method: "get",
    data,
  });
}

export function votpSave(data) {
  return ajax({
    url: "vote",
    method: "get",
    data,
  });
}

export function forecast(data) {
  return ajax({
    url: "race/store",
    method: "post",
    data,
  });
}

export function getBannerAndVideo(data) {
  return ajax({
    url: "https://cxzx.smcic.net/operate/worldCup.json?" + Date.now(),
    method: "get",
    urlType: "default",
    data,
  });
}
